63910 '$SUBTITLE: 'SysInfo -- Subroutine to get DOS/DV version'      ' SIN174
' $PAGE                                                              ' SIN174
'                                                                    ' SIN174
' NAME: SysInfo                                                      ' SIN174
'                                                                    ' SIN174
' PURPOSE: To get DOS or OS2 version RBBS is running under and store ' SIN174/RM042401
'          it for display.  Also checks for DESQview and, if found,  ' SIN174
'          gets version and stores it for display.                   ' SIN174
'                                                                    ' SIN174
' INPUTS:                                                            ' SIN174
'                                                                    ' SIN174
' OUTPUTS:  ZDOSversion$          - version of DOS                   ' SIN174
'           ZDVversion$           - version of DESQview              ' SIN174
'           ZOS2version$          - version of OS2                   ' SIN174
'           Z4DOSversion$         - version of 4DOS                  ' JBW
'           Z4DOS                 - True/Flase if $DOS is Loaded     ' JBW
'                                                                    ' SIN174
' WRITTEN BY: Richie Molinelli - 1/30/93                             ' SIN174
'                                                                    ' SIN174
      SUB SysInfo STATIC                                             ' SIN174
      ZDOSversion$ = ""                                              ' SIN174
      ZOS2version$ = ""                                              ' SIN174/RM042401
      ZDVversion$ = ""                                               ' SIN174
      Z4DOSversion$ = ""                                             ' JBW
      CALL RBBSDOS (Maj,Min)                                         ' SIN174
      IF Maj > 9.99 THEN _                                           ' SIN174/RM042401
        Maj$ = STR$(Maj/10) _                                        ' SIN174/RM042401
      ELSE _                                                         ' SIN174/RM042401
         Maj$ = STR$(Maj)                                            ' SIN174
      Min$ = STR$(Min)                                               ' SIN174
      CALL TRIM (Maj$)                                               ' SIN174
      CALL TRIM (Min$)                                               ' SIN174
      IF Maj > 9.99 THEN _                                           ' SIN174/RM042401
         ZOS2version$ = Maj$ + "." + Min$ _                          ' SIN174/RM042401
      ELSE _                                                         ' SIN174/RM042401
         ZDOSversion$ = Maj$ + "." + Min$                            ' SIN174
      CALL CK4DOS(Z4DOS,Maj,Min)                                     ' JBW
      IF Z4DOS THEN _                                                ' JBW
        Maj$ = STR$(Maj) : _                                         ' JBW
        Min$ = STR$(Min) : _                                         ' JBW
        CALL TRIM(Maj$) : _                                          ' JBW
        CALL TRIM(Min$) : _                                          ' JBW
        Z4DOSversion$ = Maj$ + "." + Min$                            ' JBW
      CALL RBBSDESQ (Maj,Min)                                        ' SIN174
      IF Maj > 0 THEN _                                              ' SIN174
         Maj$ = STR$(Maj) : _                                        ' SIN174
         Min$ = STR$(Min) : _                                        ' SIN174
         CALL TRIM (Maj$) : _                                        ' SIN174
         CALL TRIM (Min$) : _                                        ' SIN174
         IF ZNetworkType <> 7 THEN _                                 ' RM10069302/RM10089301
            ZDVversion$ = Maj$ + "." + Min$ : _                      ' SIN174/RM10089301
            PRINT "DESQview detected!" : _                           ' RM10019301/RM10089301
            ZNetworkType = 4                                         ' RM10069302
      CALL CKSHARE(Min)                                              ' RM10019301
      IF Min > 0 THEN _                                              ' RM10019301
         PRINT "SHARE detected!" : _                                 ' RM10019301
         IF ZNetworkType <> 4 THEN _                                 ' RM10069302
            ZShareIt = ZTrue                                         ' RM10019301
      END SUB                                                        ' SIN174
===================
in file rbbs-var.bas
          MinsRemaining, _                                           ' Dgs008/JBW
          Z4DOS, _                                                   ' JBW
          Z4DOSversion$                                              ' JBW

